package de.ozgcloud.eingang.fim;

import org.springframework.stereotype.Service;
import org.w3c.dom.Element;

import java.util.Map;
import java.util.Optional;

@Service
public class UnknownSchemeAdapter extends FimSchemeAdapter {

    public FimSchemeIdentifier forIdentifier() {
        return FimSchemeIdentifier.fromString(FimService.UNKNOWN_SCHEME_NAME);
    }

    @Override
    public Optional<String> getFieldName(Map<String, Element> fieldIndex, String fieldName) {
        return Optional.of(fieldName);
    }
}
